#region Copyright Syncfusion Inc. 2001 - 2007
//
//  Copyright Syncfusion Inc. 2001 - 2007. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System.IO;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Drawing.Printing;
using System.Drawing;
using NUnit.Framework;
using Syncfusion.Pdf.Tables;

namespace EssentialPDFSamples
{
    /// <summary>
    /// Summary description for Form1.
    /// </summary>
    public class Form1 : System.Windows.Forms.Form
    {
        # region Private Members       
        private System.Windows.Forms.Button button1;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.PictureBox pictureBox1;

        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.Container components = null;
        # endregion

        # region Constructor
        public Form1()
        {
            // Print("HP LaserJet Pro MFP M127-M128 PCLmS", @"C:\Users\sasikumar.sekar\AppData\Local\Syncfusion\EssentialStudio\14.1.0.40\Common\Data\PDF\HelloWorld.pdf");
            // PrintFile(@"E:\Support\Incident\Sample\PdfSample\bin\Debug\1.pdf", "HP LaserJet Pro MFP M127-M128 PCLmS", @"E:\Support\Incident\Sample\PdfSample\bin\Debug\1.pdf");
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
            Application.EnableVisualStyles();
            //
            // TODO: Add any constructor code after InitializeComponent call
            //
        }

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Form1));
            this.button1 = new System.Windows.Forms.Button();
            this.label1 = new System.Windows.Forms.Label();
            this.pictureBox1 = new System.Windows.Forms.PictureBox();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
            this.SuspendLayout();
            // 
            // button1
            // 
            this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.button1.BackColor = System.Drawing.Color.Transparent;
            this.button1.FlatAppearance.BorderColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(192)))), ((int)(((byte)(128)))));
            this.button1.FlatAppearance.MouseDownBackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(224)))), ((int)(((byte)(192)))));
            this.button1.FlatAppearance.MouseOverBackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
            this.button1.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
            this.button1.Location = new System.Drawing.Point(225, 172);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(136, 24);
            this.button1.TabIndex = 0;
            this.button1.Text = "Create PDF";
            this.button1.UseVisualStyleBackColor = false;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // label1
            // 
            this.label1.Font = new System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label1.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(64)))));
            this.label1.Location = new System.Drawing.Point(0, 120);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(373, 76);
            this.label1.TabIndex = 1;
            this.label1.Text = "Click the button to view an PDF document generated by Essential PDF.  Please note" +
    " that Adobe Reader or its equivalent is required to view the resultant document." +
    "";
            // 
            // pictureBox1
            // 
            this.pictureBox1.Dock = System.Windows.Forms.DockStyle.Top;
            this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
            this.pictureBox1.Location = new System.Drawing.Point(0, 0);
            this.pictureBox1.Name = "pictureBox1";
            this.pictureBox1.Size = new System.Drawing.Size(373, 89);
            this.pictureBox1.TabIndex = 24;
            this.pictureBox1.TabStop = false;
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.BackColor = System.Drawing.Color.White;
            this.ClientSize = new System.Drawing.Size(373, 226);
            this.Controls.Add(this.button1);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.pictureBox1);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "Form1";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Create PDF";
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
            this.ResumeLayout(false);

        }
        #endregion

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.Run(new Form1());
        }
        #endregion


        #region Events

        private void button1_Click(object sender, System.EventArgs e)
        {
            //Creates a new PDF document.
            PdfDocument doc = new PdfDocument();

            //Adds a page.
            PdfPage page = doc.Pages.Add();

            //Declares a PdfLightTable.
            PdfLightTable pdfLightTable = new PdfLightTable();

            //Sets the DataSourceType as Direct.
            pdfLightTable.DataSourceType = PdfLightTableDataSourceType.TableDirect;

            //Creates columns.
            pdfLightTable.Columns.Add(new PdfColumn("Company"));
            pdfLightTable.Columns.Add(new PdfColumn("Contact"));
            pdfLightTable.Columns.Add(new PdfColumn("Country"));

            //Adds rows.
            pdfLightTable.Rows.Add(new object[] { "111", "Maxim", "III" });
            pdfLightTable.Rows.Add(new object[] { "222", "Bell", "III" });
            pdfLightTable.Rows.Add(new object[] { "333", "cell", "III" });
            pdfLightTable.Rows.Add(new object[] { "444", "Gell", "III" });
            pdfLightTable.Rows.Add(new object[] { "555", "kelvin", "III" });


            PdfCellStyle alternatestyle = new PdfCellStyle();
            alternatestyle.BackgroundBrush = PdfBrushes.LightBlue;
            alternatestyle.BorderPen = new PdfPen(Color.DarkViolet, 1f);

            //Set style to alternate row
            pdfLightTable.Style.AlternateStyle = alternatestyle;

            PdfCellStyle defaultstyle = new PdfCellStyle();
            defaultstyle.BorderPen = new PdfPen(Color.DarkViolet, 1f);
            pdfLightTable.Style.DefaultStyle = defaultstyle;

            PdfCellStyle headerstyle = new PdfCellStyle();
            headerstyle.BackgroundBrush = PdfBrushes.Green;

            //Set style to header row.
            pdfLightTable.Style.HeaderStyle = headerstyle;

            //Create a new string format
            PdfStringFormat format = new PdfStringFormat();

            //Set the text Alignment
            format.Alignment = PdfTextAlignment.Left;

            //Set the line Alignment
            format.LineAlignment = PdfVerticalAlignment.Middle;

            //Set Stringformat to the lightTable cells.
            for (int i = 0; i < 3; i++)
            {
                pdfLightTable.Columns[i].StringFormat = format;
            }

            //Show the header of lighttable.
            pdfLightTable.Style.ShowHeader = true;

            //Set padding to the cells.
            pdfLightTable.Style.CellPadding = 2f;        

            //Draw the light table.
            pdfLightTable.Draw(page, PointF.Empty);

            doc.Save("output.pdf");
            doc.Close(true);
            System.Diagnostics.Process.Start("output.pdf");
        }
        # endregion           
    }

}